> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create workflow executions

> Create multiple agent workflow executions at once (max 25 leads)



## OpenAPI

````yaml post /api/v1/workflow/{workflowId}/execution/bulk
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/workflow/{workflowId}/execution/bulk:
    post:
      tags:
        - Workflows
      summary: Bulk create workflow executions
      description: Create multiple agent workflow executions at once (max 25 leads)
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: workflowId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                leads:
                  type: array
                  items:
                    type: object
                    properties:
                      customerLeadId:
                        type: string
                        description: Customer lead identifier
                      primaryPhone:
                        type: string
                        pattern: ^\+1(\d{10}|\d{3}-\d{3}-\d{4})|^\+[1-9]\d{1,14}$
                      zipcode:
                        type: string
                        nullable: true
                        pattern: ^\d{5}(-?\d{4})?$
                      state:
                        type: string
                        nullable: true
                      forwardingPhoneNumber:
                        type: string
                        pattern: ^\+1(\d{10}|\d{3}-\d{3}-\d{4})|^\+[1-9]\d{1,14}$
                      variables:
                        type: object
                        additionalProperties:
                          type: string
                        description: Variables for the execution
                      metadata:
                        allOf:
                          - type: object
                            properties:
                              firstName:
                                type: string
                              lastName:
                                type: string
                          - type: object
                            additionalProperties:
                              nullable: true
                        description: Additional metadata for the execution
                      priorityDate:
                        type: string
                        format: date-time
                        description: >-
                          Lead priority date (ISO 8601). Later/newer dates =
                          higher priority. Defaults to creation time.
                        example: '2025-01-15T00:00:00Z'
                      startAt:
                        type: string
                        format: date-time
                        description: >-
                          Deferred execution start time (ISO 8601 with
                          timezone). The first workflow step delay is applied
                          after this time.
                        example: '2025-01-15T15:30:00Z'
                      attempt:
                        type: integer
                        minimum: 0
                        default: 0
                        description: >-
                          Starting step index for the execution (0-indexed).
                          Must be less than the total number of steps in the
                          workflow.
                        example: 0
                    required:
                      - customerLeadId
                      - primaryPhone
                  minItems: 1
                  maxItems: 25
                  description: Array of leads to create (max 25)
              required:
                - leads
      responses:
        '200':
          description: Bulk workflow execution results
          content:
            application/json:
              schema:
                type: object
                properties:
                  total:
                    type: integer
                    description: Total number of leads processed
                  successful:
                    type: integer
                    description: Number of successful leads
                  failed:
                    type: integer
                    description: Number of failed leads
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        success:
                          type: boolean
                          description: Whether this individual lead was successful
                        executionId:
                          type: string
                          nullable: true
                          format: uuid
                          description: Execution ID if successful, null if failed
                        customerLeadId:
                          type: string
                          description: Customer lead identifier
                        error:
                          type: string
                          nullable: true
                          description: Error message if failed, null if successful
                      required:
                        - success
                        - executionId
                        - customerLeadId
                        - error
                    description: Individual results for each lead
                required:
                  - total
                  - successful
                  - failed
                  - results
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 402
                  message:
                    type: string
                    default: Insufficient credits
                  code:
                    type: string
                    enum:
                      - PAYMENT_REQUIRED
                    default: PAYMENT_REQUIRED
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````